## hxcfloppyemulator 2.16.13.1

=== Makefile ===
TARGET := $(shell uname)

all: HxCFloppyEmulator_cmdline HxCFloppyEmulator_software

libhxcadaptor:
	$(MAKE) -C ../libhxcadaptor/build/

libhxcfe: libhxcadaptor
	$(MAKE) -C ../libhxcfe/build/

libusbhxcfe: libhxcadaptor libhxcfe
	$(MAKE) -C ../libusbhxcfe/build/

HxCFloppyEmulator_cmdline: libhxcfe libusbhxcfe
	$(MAKE) -C ../HxCFloppyEmulator_cmdline/build/

HxCFloppyEmulator_software: libhxcfe libusbhxcfe
	$(MAKE) -C ../HxCFloppyEmulator_software/build/

clean_fltk:
	$(MAKE) -C ../HxCFloppyEmulator_software/build/ clean_fltk

tests: all
	cd ../tests/ && ./run.sh

clean: clean_fltk
	$(MAKE) -C ../libhxcadaptor/build/ clean
	$(MAKE) -C ../libhxcfe/build/ clean
	$(MAKE) -C ../libusbhxcfe/build/ clean
	$(MAKE) -C ../HxCFloppyEmulator_cmdline/build/ clean
	$(MAKE) -C ../HxCFloppyEmulator_software/build/ clean

mrproper:
	$(MAKE) -C ../libhxcadaptor/build/ mrproper
	$(MAKE) -C ../libhxcfe/build/ mrproper
	$(MAKE) -C ../libusbhxcfe/build/ mrproper
	$(MAKE) -C ../HxCFloppyEmulator_cmdline/build/ mrproper
	$(MAKE) -C ../HxCFloppyEmulator_software/build/ mrproper
	-rm -rf *.so
	-rm -rf *.a
	-rm -rf *.obj
	-rm -rf *.opt
	-rm -rf *.dll
	-rm -rf *.exe
	-rm -rf *.lib
	-rm -rf *.ncb
	-rm -rf *.exp
	-rm -rf *.dylib
	-rm -rf *.dmg
	-rm -rf *.app
	-rm -rf hxcfe_cmdline
	-rm -rf hxcfloppyemulator
	-rm -f  hxcfe
	-rm -rf Debug_*
	-rm -rf Release_*
	-rm -rf ADFOpus_*
	-rm -rf ../tests/run
	-rm -rf HxCFloppyEmulator_Software
	-rm -rf *.zip
	-rm -rf *.wasm
	-rm -rf *.js
	-rm -rf *.html

.PHONY: libhxcadaptor libhxcfe libusbhxcfe HxCFloppyEmulator_cmdline HxCFloppyEmulator_software mrproper clean

=== build/Makefile ===
#CC=i386-pc-linux-gcc
CC = gcc
BUILD_CC = gcc
AR = ar

TARGET := $(shell uname)

BASEDIR=../sources
INCLUDES = -I$(BASEDIR)/ -I ../../libhxcadaptor/sources -I ../../build

DEBUG ?= 0
DEBUG_ASAN ?= 0
DEBUG_INFOS ?= 0

EM_PTHREAD ?= 1

ifeq ($(DEBUG), 1)
	CFLAGS = -O0 $(INCLUDES) -Wall -DDEBUG
	LDFLAGS = -shared
	DEBUG_INFOS = 1
else
	CFLAGS = -O3 $(INCLUDES) -Wall
	LDFLAGS = -shared
endif

ifeq ($(DEBUG_ASAN), 1)
	CFLAGS += -fsanitize=address -fno-omit-frame-pointer
	LDFLAGS += -static-libasan -fsanitize=address
endif

ifeq ($(DEBUG_INFOS), 1)
	CFLAGS += -g
else
	LDFLAGS += -s
endif

EXEC=libhxcfe.so

ifeq ($(TARGET), FreeBSD)
	CC = cc
	BUILD_CC = cc
	CFLAGS += -fPIC -Wl,-Map,foo.map
	LDFLAGS += -lc -lm  -ldl
endif

ifeq ($(TARGET), Linux)
	CFLAGS += -fPIC -Wl,-Map,foo.map
	LDFLAGS += -lc -lm  -ldl
endif

ifeq ($(TARGET), mingw32)
	CC = i686-w64-mingw32-gcc
	AR = i686-w64-mingw32-ar
	RESC = i686-w64-mingw32-windres
	CFLAGS += -DSPNG_DISABLE_OPT=1
	LDFLAGS += -static-libgcc ../sources/win32/libhxcfe.def
	EXEC = libhxcfe.dll
endif

ifeq ($(TARGET), mingw64)
	CC = x86_64-w64-mingw32-gcc
	AR = x86_64-w64-mingw32-ar
	RESC = x86_64-w64-mingw32-windres
	LDFLAGS += -static-libgcc ../sources/win32/libhxcfe.def
	EXEC = libhxcfe.dll
endif

ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
	LDFLAGS = -shared -lc -lm  -ldl
	EXEC =libhxcfe.dll
endif

ifeq ($(TARGET), Darwin)
	MACOSX_ARCH ?= -arch arm64 -arch x86_64
	MACOSX_MIN_VER ?= 10.9
	CFLAGS += ${MACOSX_ARCH} -mmacosx-version-min=${MACOSX_MIN_VER}
	LDFLAGS += -lc -lm -ldl ${MACOSX_ARCH} -dynamiclib -current_version 2.0 -install_name @executable_path/../Frameworks/libhxcfe.dylib -mmacosx-version-min=${MACOSX_MIN_VER}
	EXEC = libhxcfe.dylib
endif

ifeq ($(TARGET), Emscripten)
	CC = emcc
	AR = emar
	EXEC = libhxcfe.a
	CFLAGS +=
	LDFLAGS +=
	ifeq ($(EM_PTHREAD), 1)
		CFLAGS += -pthread
		LDFLAGS += -pthread -sSTACK_SIZE=262144 -sDEFAULT_PTHREAD_STACK_SIZE=262144 -sPTHREAD_POOL_SIZE=4 -sTOTAL_MEMORY=64MB
	endif
endif

XML_DSKLAYOUT_INPUTS  := $(wildcard $(BASEDIR)/xml_disk/DiskLayouts/xml_files/DiskLayout_*.xml)
XML_DSKLAYOUT_OUTPUTS := $(patsubst $(BASEDIR)/xml_disk/DiskLayouts/xml_files/%.xml,$(BASEDIR)/xml_disk/DiskLayouts/%.h,$(XML_DSKLAYOUT_INPUTS))

BMP_DATAFILES_INPUTS  := $(wildcard $(BASEDIR)/misc/data/*.bmp)
BMP_DATAFILES_OUTPUTS := $(patsubst $(BASEDIR)/misc/data/%.bmp,$(BASEDIR)/misc/data/%.h,$(BMP_DATAFILES_INPUTS))

# Create a list of all the output files you want to generate
OUTPUTS := $(patsubst ./input/%.txt,./output/%.out,$(INPUTS))

ADFLIBOBJ= adf_hd.o adf_disk.o adf_raw.o adf_bitm.o adf_dump.o\
		adf_util.o adf_env.o adf_nativ.o adf_dir.o adf_file.o adf_cache.o \
		adf_link.o adf_salv.o

XDMSLIBOBJ = getbits.o crc_csum.o maketbl.o pfile.o getbits.o tables.o u_deep.o u_heavy.o u_init.o u_medium.o u_quick.o u_rle.o

ZLIBOBJ = adler32.o compress.o crc32.o deflate.o gzlib.o gzread.o gzwrite.o gzclose.o infback.o inffast.o inflate.o inftrees.o trees.o uncompr.o zutil.o

LZ4OBJ = lz4.o

LIBSPNG = spng.o

MINIZIPOBJ = ioapi.o mztools.o unzip.o zip.o

FATIOLIB = fat_access.o fat_cache.o fat_filelib.o fat_format.o fat_misc.o fat_string.o fat_table.o fat_write.o fat_list.o

DISKLOADERPLUGINS = raw_amiga.o raw_iso.o copyqm_loader.o crctable.o adf_loader.o adz_loader.o amigadosfs_loader.o vfile.o cpcdsk_loader.o \
					msa_loader.o msx_loader.o smc_loader.o st_loader.o stx_loader.o img_loader.o dms_loader.o mfm_loader.o \
					oricdsk_loader.o d64_loader.o trd_loader.o scl_loader.o fat12floppy_loader.o fat12.o \
					hfe_loader.o imd_loader.o afi_loader.o sap_loader.o libsap.o jv1_loader.o vtr_loader.o d88_loader.o hdm_loader.o \
					ti99pc99_loader.o apridisk_loader.o ede_loader.o fd_loader.o vdk_loader.o dpx_loader.o mgt_loader.o emax_loader.o \
					ensoniq_mirage_loader.o sad_loader.o jv3_loader.o stt_loader.o prophet_loader.o teledisk_loader.o td0_lzss.o \
					emuii_raw_loader.o emuii_loader.o emui_raw_loader.o jvc_loader.o dim_loader.o ti99v9t9_loader.o d81_loader.o  acornadf_loader.o \
					camputerslynxldf_loader.o vegasdsk_loader.o dmk_loader.o oldextadf_loader.o extadf_loader.o fdi_loader.o fdi_nec_loader.o \
					ssd_dsd_loader.o adl_loader.o krz_loader.o w30_loader.o fei_loader.o svd_loader.o gkh_loader.o imz_loader.o raw_loader.o \
					system24_loader.o kryofluxstream_loader.o kryofluxstream.o fzf_loader.o apple2_nib_loader.o apple2_do_loader.o \
					sdd_speccydos_loader.o arburg_raw_loader.o scp_loader.o bmp_loader.o northstar_loader.o  xml_loader.o flppcm_loader.o stw_loader.o \
					vfddat_loader.o ana_loader.o atr_loader.o hfev3_loader.o hfev3_trackgen.o heathkit_loader.o sdu_loader.o xml_db_loader.o \
					streamhfe_loader.o qd_loader.o ipf_loader.o capslibloader.o hxcstream_loader.o hxcstream.o dfi_loader.o a2r_loader.o \
					micraln_loader.o fdx_loader.o 86f_loader.o logicanalyzer_loader.o apple2_2mg_loader.o dim_x68k_loader.o woz_loader.o \
					mfi_loader.o pri_loader.o

DISKWRITERPLUGINS = cpcdsk_writer.o mfm_writer.o hfe_writer.o raw_writer.o afi_writer.o exthfe_writer.o imd_writer.o vtr_writer.o ti99v9t9_writer.o \
					jv3_writer.o dmk_writer.o d88_writer.o msa_writer.o hfe_hddd_a2_writer.o arburg_raw_writer.o sdd_speccydos_writer.o scp_writer.o \
					kryofluxstream_writer.o adf_writer.o bmp_writer.o bmp_disk_writer.o bmp_file.o xml_writer.o trd_writer.o stx_writer.o st_writer.o \
					stw_writer.o dim_writer.o adz_writer.o ipf_writer.o fd_writer.o northstar_loader.o northstar_writer.o heathkit_writer.o vdk_writer.o \
					xml_db_writer.o streamhfe_writer.o qd_writer.o hxcstream_writer.o oricdsk_writer.o apple2_do_writer.o hfev3_writer.o fdx_writer.o 86f_writer.o \
					mfi_writer.o

TRACK_FORMATS_SUPPORT = luts.o track_types_defs.o aed6200p_track.o amiga_mfm_track.o apple2_gcr_track.o arburg_track.o emu_emulator_fm_track.o c64_gcr_track.o \
						heathkit_fm_track.o iso_ibm_fm_track.o iso_ibm_mfm_track.o membrain_mfm_track.o northstar_mfm_track.o tycom_fm_track.o dec_rx02_track.o \
						apple_mac_gcr_track.o qd_mo5_track.o victor9k_gcr_track.o micraln_fm_track.o centurion_mfm_track.o

ENCODING_SUPPORT = fm_encoding.o mfm_encoding.o dec_m2fm_encoding.o

FS_SUPPORT = fs_manager.o fs_amigados.o fs_fat12.o fs_cpm.o libcpmfs.o

XML_DISK = xml_disk.o lzw.o pack.o rle.o
XML_PARSER_EXPAT = xmlparse.o xmlrole.o xmltok.o

BASE = floppy_loader.o floppy_utils.o floppy_ifmode.o loaders_list.o crc.o std_crc32.o track_generator.o trackutils.o \
		trackeditor.o sector_extractor.o display_track.o fluxStreamAnalyzer.o streamConvert.o script_exec.o env.o

LIBS_OBJS = $(BASE) $(FS_SUPPORT) $(ADFLIBOBJ) $(ENCODING_SUPPORT) $(TRACK_FORMATS_SUPPORT) $(DISKLOADERPLUGINS) \
			$(DISKWRITERPLUGINS) $(XDMSLIBOBJ) $(ZLIBOBJ) $(MINIZIPOBJ) $(LZ4OBJ) \
			$(XML_DISK) $(XML_PARSER_EXPAT) $(FATIOLIB) $(LIBSPNG)

all: SCRIPT_FILE $(BASEDIR)/licensetxt.h XML_FILES BMP_FILES $(EXEC)

XML_FILES: bmptoh $(XML_DSKLAYOUT_OUTPUTS)

BMP_FILES: bmptoh $(BMP_DATAFILES_OUTPUTS)

SCRIPT_FILE: bmptoh $(BASEDIR)/init_script.h

libhxcfe.dll: win32_libhxcfe_res.o $(LIBS_OBJS) ../../build/libhxcadaptor.a
	$(CC) -o $@    $^ $(LDFLAGS)
	cp $@ ../../build

libhxcfe.dylib: $(LIBS_OBJS) ../../build/libhxcadaptor.a
	$(CC) -o $@    $^ $(LDFLAGS)
	cp $@ ../../build

libhxcfe.a: $(LIBS_OBJS)
ifeq ($(TARGET), Darwin)
	libtool -o $@     $^
else
	$(AR) r $@    $^
endif
	cp $@ ../../build

libhxcfe.so: $(LIBS_OBJS) ../../build/libhxcadaptor.a
	$(CC) -o $@    $^ $(LDFLAGS)
	cp $@ ../../build

win32_libhxcfe_res.o: $(BASEDIR)/win32/libhxcfe.rc
	$(RESC) $< $@

floppy_loader.o: $(BASEDIR)/floppy_loader.c $(BASEDIR)/init_script.h
	$(CC) -o $@ -c $< $(CFLAGS)

floppy_ifmode.o: $(BASEDIR)/floppy_ifmode.c
	$(CC) -o $@ -c $< $(CFLAGS)

loaders_list.o: $(BASEDIR)/loaders_list.c
	$(CC) -o $@ -c $< $(CFLAGS)

floppy_utils.o: $(BASEDIR)/floppy_utils.c
	$(CC) -o $@ -c $< $(CFLAGS)

script_exec.o: $(BASEDIR)/misc/script_exec.c
	$(CC) -o $@ -c $< $(CFLAGS)

env.o: $(BASEDIR)/misc/env.c
	$(CC) -o $@ -c $< $(CFLAGS)

luts.o : $(BASEDIR)/tracks/luts.c $(BASEDIR)/tracks/luts.h
	$(CC) -o $@ -c $< $(CFLAGS)

dec_m2fm_encoding.o : $(BASEDIR)/tracks/encoding/dec_m2fm_encoding.c $(BASEDIR)/tracks/encoding/dec_m2fm_encoding.h
	$(CC) -o $@ -c $< $(CFLAGS)

mfm_encoding.o : $(BASEDIR)/tracks/encoding/mfm_encoding.c $(BASEDIR)/tracks/encoding/mfm_encoding.h
	$(CC) -o $@ -c $< $(CFLAGS)

fm_encoding.o : $(BASEDIR)/tracks/encoding/fm_encoding.c $(BASEDIR)/tracks/encoding/fm_encoding.h
	$(CC) -o $@ -c $< $(CFLAGS)

track_types_defs.o : $(BASEDIR)/tracks/track_types_defs.c $(BASEDIR)/tracks/track_types_defs.h
	$(CC) -o $@ -c $< $(CFLAGS)

sector_extractor.o : $(BASEDIR)/tracks/sector_extractor.c $(BASEDIR)/tracks/sector_extractor.h
	$(CC) -o $@ -c $< $(CFLAGS)

aed6200p_track.o : $(BASEDIR)/tracks/track_formats/aed6200p_track.c $(BASEDIR)/tracks/track_formats/aed6200p_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

amiga_mfm_track.o : $(BASEDIR)/tracks/track_formats/amiga_mfm_track.c $(BASEDIR)/tracks/track_formats/amiga_mfm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

apple2_gcr_track.o : $(BASEDIR)/tracks/track_formats/apple2_gcr_track.c $(BASEDIR)/tracks/track_formats/apple2_gcr_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

apple_mac_gcr_track.o : $(BASEDIR)/tracks/track_formats/apple_mac_gcr_track.c $(BASEDIR)/tracks/track_formats/apple_mac_gcr_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

arburg_track.o : $(BASEDIR)/tracks/track_formats/arburg_track.c $(BASEDIR)/tracks/track_formats/arburg_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

dec_rx02_track.o : $(BASEDIR)/tracks/track_formats/dec_rx02_track.c $(BASEDIR)/tracks/track_formats/dec_rx02_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

emu_emulator_fm_track.o : $(BASEDIR)/tracks/track_formats/emu_emulator_fm_track.c $(BASEDIR)/tracks/track_formats/emu_emulator_fm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

c64_gcr_track.o : $(BASEDIR)/tracks/track_formats/c64_gcr_track.c $(BASEDIR)/tracks/track_formats/c64_gcr_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

centurion_mfm_track.o : $(BASEDIR)/tracks/track_formats/centurion_mfm_track.c $(BASEDIR)/tracks/track_formats/centurion_mfm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

victor9k_gcr_track.o : $(BASEDIR)/tracks/track_formats/victor9k_gcr_track.c $(BASEDIR)/tracks/track_formats/victor9k_gcr_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

heathkit_fm_track.o : $(BASEDIR)/tracks/track_formats/heathkit_fm_track.c $(BASEDIR)/tracks/track_formats/heathkit_fm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

micraln_fm_track.o : $(BASEDIR)/tracks/track_formats/micraln_fm_track.c $(BASEDIR)/tracks/track_formats/micraln_fm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

iso_ibm_fm_track.o : $(BASEDIR)/tracks/track_formats/iso_ibm_fm_track.c $(BASEDIR)/tracks/track_formats/iso_ibm_fm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

iso_ibm_mfm_track.o : $(BASEDIR)/tracks/track_formats/iso_ibm_mfm_track.c $(BASEDIR)/tracks/track_formats/iso_ibm_mfm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

membrain_mfm_track.o : $(BASEDIR)/tracks/track_formats/membrain_mfm_track.c $(BASEDIR)/tracks/track_formats/membrain_mfm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

qd_mo5_track.o : $(BASEDIR)/tracks/track_formats/qd_mo5_track.c $(BASEDIR)/tracks/track_formats/qd_mo5_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

northstar_mfm_track.o : $(BASEDIR)/tracks/track_formats/northstar_mfm_track.c $(BASEDIR)/tracks/track_formats/northstar_mfm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

tycom_fm_track.o : $(BASEDIR)/tracks/track_formats/tycom_fm_track.c $(BASEDIR)/tracks/track_formats/tycom_fm_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

trackutils.o : $(BASEDIR)/tracks/trackutils.c $(BASEDIR)/tracks/trackutils.h
	$(CC) -o $@ -c $< $(CFLAGS)

trackeditor.o : $(BASEDIR)/tracks/trackeditor.c
	$(CC) -o $@ -c $< $(CFLAGS)

display_track.o : $(BASEDIR)/tracks/display_track.c $(BASEDIR)/tracks/display_track.h
	$(CC) -o $@ -c $< $(CFLAGS)

fluxStreamAnalyzer.o : $(BASEDIR)/stream_analyzer/fluxStreamAnalyzer.c $(BASEDIR)/stream_analyzer/fluxStreamAnalyzer.h
	$(CC) -o $@ -c $< $(CFLAGS)

=== sources/gui/microintro/converttools/bmptob8/Makefile ===
CFLAGS = -O3 -I../../.. -Wall
LDFLAGS =

EXEC=bmptoh

all: $(EXEC)

bmptoh: bmptoh.o lzw.o pack.o rle.o
	$(CC) -o $@    $^ $(LDFLAGS)

bmptoh.o: bmptoh.c
	$(CC) -o $@ -c $< $(CFLAGS)

lzw.o: ../../packer/lzw.c
	$(CC) -o $@ -c $< $(CFLAGS)

pack.o: ../../packer/pack.c
	$(CC) -o $@ -c $< $(CFLAGS)

rle.o: ../../packer/rle.c
	$(CC) -o $@ -c $< $(CFLAGS)


clean:
	rm -rf *.o

mrproper: clean
	rm -rf $(EXEC)
	rm -rf Debug*
	rm -rf Release*
	rm -rf *.obj *.ncb *.plg *.opt

.PHONY: clean mrproper

=== debian/changelog ===
hxcfloppyemulator (2.16.13.1-0ddebs2~ubuntu24.04) noble; urgency=medium

  * use of dh-exec to reduce complexity of debian/ files

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 26 Nov 2025 00:52:05 +0100

hxcfloppyemulator (2.16.13.1-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 24 Nov 2025 01:24:17 +0100

hxcfloppyemulator (2.15.2.3-0ddebs2) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 11 Mar 2024 10:35:19 +0100

hxcfloppyemulator (2.15.2.3-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 11 Feb 2024 23:30:47 +0100

hxcfloppyemulator (2.14.4.1-0ddebs2) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Apr 2023 16:44:35 +0200

hxcfloppyemulator (2.14.4.1-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 18 Apr 2023 00:51:47 +0200

hxcfloppyemulator (2.5.8.1-0ddebs1) unstable; urgency=medium

  * New upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 15 May 2022 17:26:59 +0200

hxcfloppyemulator (2.5.6.6-0ddebs2) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file
  * avoid use of dh_dwz when compile on buster

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 05 Apr 2022 23:08:57 +0200

hxcfloppyemulator (2.5.6.6-0ddebs1) unstable; urgency=medium

  * upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 25 Apr 2021 11:35:10 +0200

hxcfloppyemulator (2.5.2.1-0ddebs1) unstable; urgency=medium

  * upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 29 Nov 2020 12:00:12 +0100

hxcfloppyemulator (2.4.1.6-0ddebs3) unstable; urgency=medium

  * update for cross-compile

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 21 Jul 2020 23:02:20 +0200

hxcfloppyemulator (2.4.1.6-0ddebs2) unstable; urgency=medium

  * removed auto-generation of the manual with pandoc, because this command is
    not in distributions that have dropped 32 bits isos
    Manual is still generated by the markdown file, but outside packaging

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 23 Apr 2020 18:05:42 +0200

hxcfloppyemulator (2.4.1.6-0ddebs1) unstable; urgency=medium

  * Upstream Update
  * rebuild all packages in one

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 21 Apr 2020 02:05:18 +0200

hxcfloppyemulator (2.1.22.3-0ddebs2) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 20 Apr 2020 02:55:35 +0200

hxcfloppyemulator (2.1.22.3-0ddebs1) unstable; urgency=medium

  * Upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 04 Mar 2019 01:55:07 +0100

hxcfloppyemulator (2.1.11.1-0ddebs2) unstable; urgency=medium

  * Updated to standard version 4.1.4
  * hardening compilation

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 03 Mar 2019 17:31:04 +0100

hxcfloppyemulator (2.1.11.1-0ddebs1) unstable; urgency=medium

  * Updated upstream version
      27 May 2018: HxCFloppyEmulator 2.1.11.1
      Hard-sectored H8D Heathkit raw file Loader & Writer added !

      24 May 2018: HxCFloppyEmulator 2.1.10.1
      Kryoflux Stream Loader (*XX.X.raw) & Stream analyzer : Hard-sectored
       images support and various fixes !
      Kryoflux Stream Loader (*XX.X.raw) : bmpexport.txt config file to generate
       the full stream track graph.
      NSI Northstar raw file Loader & Writer added !

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 06 Jun 2018 00:06:30 +0200

hxcfloppyemulator (2.1.9.3-0ddebs1) unstable; urgency=medium

  * Initial release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 03 Jun 2018 22:40:38 +0200

=== debian/control ===
Source: hxcfloppyemulator
Section: utils
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec (>=0.3),
 libfltk1.3-dev,
 libxext-dev,
 libxfixes-dev,
 zlib1g-dev,
 liblz4-dev,
 libexpat1-dev,
 libminizip-dev,
 libspng-dev,
 rename
Standards-Version: 4.6.2
Homepage: https://github.com/jfdelnero/HxCFloppyEmulator
Rules-Requires-Root: no

Package: libhxcfe-dev
Section: libdevel
Architecture: any
Depends:
 libhxcfe2 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: librarie to communicate with hxcfe (development files)
 development files for communication librarie

Package: libhxcfe2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: librarie to communicate with hxcfe
 binary files for communication librarie

Package: libusbhxcfe-dev
Section: libdevel
Architecture: any
Depends:
 libusbhxcfe2 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: librarie to communicate with hxcfe on USB (development files)
 development files for USB communication librarie

Package: libusbhxcfe2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
  ${misc:Depends}
Multi-Arch: same
Description: librarie to communicate with hxcfe on USB
 shared binary

Package: libhxcadaptor-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}
Multi-Arch: same
Description: librarie to communicate with hxcadaptor
 Development files

Package: hxcfloppyemulator
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: This software act as the floppy server with the USB HxC Floppy Emulator
 This program also allows you to convert floppy image files for the SDCard
 based HxC Floppy Emulator.
 
Package: hxcfe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Command line version of the floppy server with the USB HxC Floppy Emulator
 This cli program also allows you to convert floppy image files for the SDCard
 based HxC Floppy Emulator.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -flto
export DEB_CPPFLAGS_MAINT_APPEND  = -flto 
export DEB_LDFLAGS_MAINT_APPEND  = -flto
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HXCFVERSION := $(shell dpkg-parsechangelog -S Version | cut -d- -f1)

%:
	dh $@ --no-parallel --sourcedirectory=build

=== debian/watch ===
version=4
opts="compression=xz,repack" \
  https://github.com/jfdelnero/HxCFloppyEmulator/tags .*/HxCFloppyEmulator_V?(\d+)\_(\d+)\_(\d+)\_(\d+)@ARCHIVE_EXT@ \
debian uupdate
